package org.rcisoft.bus.jnP7sj.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.ResultHandler;
import org.rcisoft.bus.jnP7sj.dto.jnP7sjPageHandleDto;
import org.rcisoft.bus.jnP7sj.entity.jnP7sj;
import org.rcisoft.bus.jnsp7xtm.vo.Jnsp7xtmVo;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

public interface jnP7sjRepository extends CyBaseMapper<jnP7sj> {
    List<jnP7sj> queryjnP7sj(@Param("entity") jnP7sj jnP7sj);

    IPage<jnP7sj> queryjnP7sjPaged(CyPageInfo cyPageInfo, @Param("entity") jnP7sj jnP7sj);

    List<String> getMonthList();

    void batchAddjnP7sj(@Param("list") List<jnP7sj> list);
    /**
     * 根据cc 查询客户有关的信息
     * **/
    List<jnP7sj> queryCustomer(@Param("cc") String cc);
    Integer queryTotaljnP7sj();
    /**
     * 根据pn 查询sypn的值
     * **/
    List<String> querySypnByPn(@Param("pn") String pn);
    void streamQuery(ResultHandler<Jnsp7xtmVo> handler, @Param("entity") jnP7sjPageHandleDto jnsp7xtmDqsjPageHandleDto );


}
